#coding:utf-8

import wx

from ui.CameraArea import CameraArea
from ui.CodecArea import CodecArea
from ui.EventAndOtherArea import EventAndOtherArea
from ui.HomeArea import HomeArea
from ui import globalParams

'''
定义主窗体
'''

class MainWindow():
    def __init__(self):
        self.app = None
        self.frame = None

        self.main()

    def main(self):
        self.app = wx.App()
        self.frame = wx.Frame(None,-1, title='云镜模拟器',size = wx.Size(1100,700))
        self.createMainPanel()

    #####################################################
    #                   显示窗体
    #####################################################
    def show(self):
        self.frame.Show()
        # import wx.lib.inspection
        # wx.lib.inspection.InspectionTool().Show()
        self.app.MainLoop()

    #####################################################
    #                   创建主窗体的布局面板
    #####################################################
    def createMainPanel(self):
        mainPanel = wx.Panel(self.frame)
        boxSizer = wx.BoxSizer(wx.VERTICAL)

        nodeBook = wx.Notebook(mainPanel)
        homeArea = HomeArea(nodeBook)
        globalParams.homeArea = homeArea
        page0 = homeArea.create()
        nodeBook.AddPage(page0, "云镜首页")

        cameraArea1 = CameraArea(nodeBook)
        globalParams.camera_1 = cameraArea1
        page1 = cameraArea1.create()
        nodeBook.AddPage(page1,"摄像头1")

        cameraArea2 = CameraArea(nodeBook)
        globalParams.camera_2 = cameraArea2
        cameraArea2.setChannel(2)
        page2 = cameraArea2.create()
        nodeBook.AddPage(page2, "摄像头2")

        cameraArea3 = CameraArea(nodeBook)
        globalParams.camera_3 = cameraArea3
        cameraArea3.setChannel(3)
        page3 = cameraArea3.create()
        nodeBook.AddPage(page3, "摄像头3")
        codecArea = CodecArea(nodeBook)
        page4 = codecArea.create()
        nodeBook.AddPage(page4, "转码相关工具")
        eventAndOtherArea = EventAndOtherArea(nodeBook)
        globalParams.eventArea = eventAndOtherArea
        page5 = eventAndOtherArea.create()
        nodeBook.AddPage(page5, "告警与其他功能")
        boxSizer.Add(nodeBook, 1, flag=wx.EXPAND | wx.ALL)
        nodeBook.SetSelection(0)            # 设置当前选中的标签页面

        mainPanel.SetSizer(boxSizer)


if __name__ == "__main__":
    MainWindow().show()